%define		doc_version	3.1.8
%define		php_min_version 5.2.0
%define		main_version 3.1.11
Summary:	Template engine for PHP
Summary(pl.UTF-8):	System szablonów dla PHP
Name:		php-Smarty
Version:	%{main_version}
Release:	4
License:	LGPL v2.1+
Group:		Development/Languages/PHP
Source0:	http://www.smarty.net/files/Smarty-%{version}.tar.gz
# Source0-md5:	35c2bb7aef3a0f0a86b0d679ece8ea1c
# Source1Download: http://www.smarty.net/documentation
Source1:	http://www.smarty.net/files/docs/manual-en-%{doc_version}.zip
# Source1-md5:	ca37df6101a699597bff31067d9a34de
Patch0:		path.patch
URL:		http://www.smarty.net/
BuildRequires:	rpm-php-pearprov >= 4.4.2-11
BuildRequires:	rpmbuild(macros) >= 1.553
BuildRequires:	unzip
Requires:	php(core) >= %{php_min_version}
Requires:	php(mbstring)
Requires:	php(pcre)
Requires:	php(tokenizer)
Requires:	php-date
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_noautoreq	pear(smarty_internal_parsetree.php)
%define		appdir		%{php_data_dir}/Smarty3

%description
Smarty is a template engine for PHP. Smarty provides your basic
variable substitution and dynamic block functionality, and also takes
a step further to be a "smart" template engine, adding features such
as configuration files, template functions, variable modifiers, and
making all of this functionality as easy as possible to use for both
programmers and template designers.

%description -l pl.UTF-8
Smarty jest systemem szablonów dla PHP. Pozwala na podstawowe
podstawianie wartości zmiennych oraz dynamiczne operacje na blokach;
idzie o krok dalej, aby być "mądrym" silnikiem szablonów, dodając
takie możliwości jak pliki konfiguracyjne, funkcje, zmienne
modyfikatory oraz czyniąc całą funkcjonalność jak najłatwiejszą w
użyciu jednocześnie dla programistów i projektantów szablonów.

%package doc
Summary:	Template engine for PHP - documentation
Summary(pl.UTF-8):	System szablonów dla PHP - dokumentacja
Version:	%{doc_version}
Group:		Development/Languages/PHP

%description doc
Documentation for Smarty template engine.

%description doc -l pl.UTF-8
Dokumentacja do systemu szablonów Smarty.

%prep
%setup -q -n Smarty-%{main_version} -a1
%patch0 -p1

%undos -f php

# cleanup backups after patching
find '(' -name '*~' -o -name '*.orig' ')' -print0 | xargs -0 -r -l512 rm -f

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{appdir}
cp -a libs/* $RPM_BUILD_ROOT%{appdir}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc README SMARTY_3.1_NOTES.txt
%dir %{appdir}
%dir %{appdir}/plugins
%dir %{appdir}/sysplugins
%{appdir}/Smarty.class.php
%{appdir}/SmartyBC.class.php
%{appdir}/debug.tpl
%{appdir}/plugins/*.php
%{appdir}/sysplugins/*.php

%files doc
%defattr(644,root,root,755)
%doc demo/*
%changelog
* Sat Aug 25 2012 Elan Ruusamäe <glen@delfi.ee> 513772f
install in a way that package is not conflicting with smarty2 package

* Thu Aug 23 2012 Elan Ruusamäe <glen@delfi.ee> 7598cdb
- use php(core) as dependency to require php version
- release 2 (by relup.sh)

* Tue Aug 07 2012 Elan Ruusamäe <glen@delfi.ee> 95e1a97
- use virtual php extension deps (to be independant of php version)
- release 2 (by relup.sh)

* Wed Jul 04 2012 Łukasz Kieś <kiesiu@pld-linux.org> f5ad6d4
- updated to 3.1.11

* Wed Jun 13 2012 Łukasz Kieś <kiesiu@pld-linux.org> 5556a3a
- updated to 3.1.10

* Sun Jun 10 2012 Łukasz Kieś <kiesiu@pld-linux.org> e75f895
- updated to 3.1.9; docs to 3.1.8

* Mon Feb 20 2012 Zsolt Udvari <uzsolt@pld-linux.org> e97dc5c
- 3.1.8

* Tue Dec 20 2011 Zsolt Udvari <uzsolt@pld-linux.org> 4e068b8
- 3.1.7

* Sat Dec 03 2011 Sławomir Paszkiewicz <paszczus@pld-linux.org> 4eeb44f
- updated to 3.1.6

* Tue Nov 15 2011 Łukasz Kieś <kiesiu@pld-linux.org> 469fc1f
- updated to 3.1.5

* Tue Oct 25 2011 Zsolt Udvari <uzsolt@pld-linux.org> e810e45
- 3.1.4
- update doc version too
- package SMARTY_3.1_NOTES.txt to doc

* Tue Oct 11 2011 Zsolt Udvari <uzsolt@pld-linux.org> 6dda106
- 3.1.3

* Fri Jul 08 2011 Zsolt Udvari <uzsolt@pld-linux.org> 7f39acc
- 3.0.8

* Mon Feb 14 2011 Elan Ruusamäe <glen@pld-linux.org> 6e55147
- up to 3.0.7

* Wed Dec 15 2010 Elan Ruusamäe <glen@pld-linux.org> 808d85d
- cleanup smarty2 triggers

* Tue Dec 14 2010 Elan Ruusamäe <glen@pld-linux.org> 20bfea7
- up to 3.0.6

* Sun Dec 12 2010 Elan Ruusamäe <glen@pld-linux.org> 6151ea9
- mbstring ext for utf8 to work normally

* Sun Dec 12 2010 Elan Ruusamäe <glen@pld-linux.org> 2e33f92
- function.html_input_image.php not needed either

* Sun Dec 12 2010 Elan Ruusamäe <glen@pld-linux.org> 8335b6b
- smarty3 seems to have sane charset support, don't duplicate mb_truncate here

* Sun Dec 12 2010 Elan Ruusamäe <glen@pld-linux.org> 6b276ca
- rename to php-Smarty

